import { EventEmitter } from "@angular/core";
import { TableStateHandlerService } from "../table-state-handler.service";
/** @ignore */
export declare enum TableResizePhase {
    start = "start",
    end = "end"
}
/** @ignore */
export declare class TableResizerDirective {
    private tableStateHandlerService;
    hostClasses: string;
    columnIndex: number;
    resizerMovement: EventEmitter<any>;
    constructor(tableStateHandlerService: TableStateHandlerService);
    private mouseMoveHandler;
    private removeResizeListeners;
    onMouseDown(ev: MouseEvent): void;
}
